GetApplicationAttemptsResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetApplicationAttemptsResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetApplicationAttemptsResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsResponse

@Public @Unstable public abstract class GetApplicationAttemptsResponse extends Object

The response sent by the `ResourceManager` to a client requesting a list of `ApplicationAttemptReport` for application attempts.

The `ApplicationAttemptReport` for each application includes the details of an application attempt.

See Also:
  - `ApplicationAttemptReport`
  - `ApplicationBaseProtocol.getApplicationAttempts(GetApplicationAttemptsRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetApplicationAttemptsResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<ApplicationAttemptReport>`
  `getApplicationAttemptList()`
  Get a list of `ApplicationReport` of an application.
  `static GetApplicationAttemptsResponse`
  `newInstance(List<ApplicationAttemptReport> applicationAttempts)`
  `abstract void`
  `setApplicationAttemptList(List<ApplicationAttemptReport> applicationAttempts)`
  Get a list of `ApplicationReport` of an application.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetApplicationAttemptsResponse

    public GetApplicationAttemptsResponse()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static GetApplicationAttemptsResponse newInstance(List<ApplicationAttemptReport> applicationAttempts)

  - ### getApplicationAttemptList

    @Public @Unstable public abstract List<ApplicationAttemptReport> getApplicationAttemptList()
    Get a list of `ApplicationReport` of an application.
    Returns:
      a list of `ApplicationReport` of an application

  - ### setApplicationAttemptList

    @Public @Unstable public abstract void setApplicationAttemptList(List<ApplicationAttemptReport> applicationAttempts)
    Get a list of `ApplicationReport` of an application.
    Parameters:
      `applicationAttempts` - a list of `ApplicationReport` of an application